Skip to main content
GET
/
prompts
/
partials
List prompt partials
curl --request GET \
  --url https://api.portkey.ai/v1/prompts/partials \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/prompts/partials"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/prompts/partials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "name": "<string>",
    "collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "last_updated_at": "2023-11-07T05:31:56Z",
    "object": "partial"
  }
]

Authorizations

x-portkey-api-key
string
header
required

Query Parameters

collection_id
string

Response

List of prompt partials

id
string<uuid>
slug
string
name
string
collection_id
string<uuid>
created_at
string<date-time>
last_updated_at
string<date-time>
status
enum<string>
Available options:
active,
archived
object
enum<string>
Available options:
partial
Last modified on April 7, 2025